> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents for transfer

> Returns the agents you can transfer a chat to. Agents are sorted ascendingly by the total number of active chats they have. Note that:

- The method only returns agents with statuses **online** and **not accepting chats**. Offline agents aren't returned.
- Only chats **with customers** are taken into account in `total_active_chats`.



## OpenAPI

````yaml /api/agent-chat/v3.6/openapi.json post /action/list_agents_for_transfer
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/agent
    description: Production server
security: []
paths:
  /action/list_agents_for_transfer:
    post:
      tags:
        - Other
      summary: List agents for transfer
      description: >-
        Returns the agents you can transfer a chat to. Agents are sorted
        ascendingly by the total number of active chats they have. Note that:


        - The method only returns agents with statuses **online** and **not
        accepting chats**. Offline agents aren't returned.

        - Only chats **with customers** are taken into account in
        `total_active_chats`.
      operationId: list-agents-for-transfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListAgentsForTransferRequest'
            example:
              chat_id: PJ0MRSHTDG
      responses:
        '200':
          description: Returns the list of agents available for transfer.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AgentForTransfer'
              example:
                - agent_id: smith@example.com
                  total_active_chats: 2
                - agent_id: agent@example.com
                  total_active_chats: 5
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken: []
components:
  schemas:
    ListAgentsForTransferRequest:
      type: object
      required:
        - chat_id
      properties:
        chat_id:
          type: string
          description: The ID of the chat you want to transfer.
    AgentForTransfer:
      type: object
      properties:
        agent_id:
          type: string
          description: The agent ID.
          example: smith@example.com
        total_active_chats:
          type: integer
          description: The total number of active chats the agent currently has.
          example: 2
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````